@charset "utf-8";
@import url('font.css');

/* ====== 초기화 ====== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
ul {
  list-style: none;
}
a {
  text-decoration: none;
  color: #fff;
}
img {
  vertical-align: middle;
}
body {
  background-color: #1E1E1E;
  color: #fff;
  font-family: 'Pretendard', sans-serif;
}

/* ====== 공통클래스 ====== */
.container {
  max-width: 1352px;
  margin: 0 auto;
  width: 100%;
}

/* ====== mobile ====== */
.mobile-header {
  display: none;
}
.mobile-menu-overlay {
  display: none;
}
.mobile-contact {
  display: none;
}

/* --- 모바일용 슬라이더 숨김 --- */
.mobile-interest-swiper {
  display: none !important;
}

/* ====== visual ====== */
.visual {
  min-height: 100vh;
  display: flex;
  align-items: center;
}
.visual .container {}

/* 타이포 */
.visual-title {
  height: 20vh;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
#animated {
  display: block;
  font-size: 2.5rem;
  font-weight: 500;
  line-height: 50px;
}
#animated em {
  color: #37C3FF;
  font-weight: bold;
  font-style: normal;
}
.mo-br {
  display: none;
}

/* 모듈 */
.module {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: repeat(5, 1fr);
  gap: 20px;
  width: 100%;
  aspect-ratio: 12/4.8;
}
.module .card {
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(20px);
  border: 1px solid rgba(255, 255, 255, 0.4);
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.1);
  border-radius: 20px;
  padding: 15px 20px 0 30px;
  overflow: hidden;
  transition: all 0.3s ease;
}
.module .card:hover {
  box-shadow: 0 0 40px rgba(255, 255, 255, 0.3);
  transform: translateY(-5px);
}

.module .card .card-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}
.module .card .card-header span {
  font-size: 15px;
}
.module .card .card-header .go-btn {
  width: 38px;
  height: 38px;
  background: url(../images/go-btn.svg) no-repeat center;
  background-size: 12px 12px;
  border-radius: 50%;
  border: 1px solid #666;
  outline: 0;
  cursor: pointer;
  transition: background-color 0.3s ease;
}
.module .card:hover .card-header .go-btn {
  border: none;
  background: url(../images/go-btn-hover.svg) no-repeat center;
  background-color: #fff;
  transform: translate(5px, -5px);
  transition: all 0.3s ease;
}
.module .card .card-header .go-btn a {
  display:block;
  width: 100%;
  height: 100%;
}

/* me */
.module .me {
  grid-column: 1/3;
  grid-row: 1/3;
  padding: 0;
  background-image: url(../images/me.gif);
  background-repeat: no-repeat;
  background-position: 5px bottom;
  background-size: 100%;
}
.module .me:hover {
  box-shadow: none;
  transform: none;
}

/* about */
.module .about {
  grid-column: 3/7;
  grid-row: 1/3;
  position: relative;
  overflow: hidden;
}
.module .about .card-header,
.module .about p.desc {
  position: relative;
  z-index: 10;
  pointer-events: none;
}
.module .about .card-header .go-btn {
  pointer-events: visible;
}
.module .about p.desc {
  margin-right: 10px;
  text-align: center;
  margin-top: 20px;
  font-size: 17px;
  font-weight: 300;
  letter-spacing: 0.05em;
  color: #ccc;
}
.module #physics-area {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
}

/* like-dog */
.module .like-dog {
  grid-column: 7/9;
  grid-row: 1/3;
  padding: 0;
  position: relative;
  background: url('../images/like-dog.png') no-repeat center/cover;
}
.module .like-dog:hover {
  transform: none;
}
.module .like-dog .tags {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 20px;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.8), transparent);
  color: #eee;
  font-size: 15px;
  line-height: 1.5;
  text-align: right;
  opacity: 0;
  transform: translateY(20px);
  transition: all 0.4s ease;
}
.module .like-dog:hover .tags {
  opacity: 1;
  transform: translateY(0);
}

/* like-game */
.module .like-game {
  grid-column: 9/13;
  grid-row: 1/3;
  padding: 0;
  position: relative;
  background: url(../images/like-game.png) no-repeat center/cover;
}
.module .like-game:hover {
  transform: none;
}
.module .like-game .tags {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 20px;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.8), transparent);
  color: #eee;
  font-size: 15px;
  text-align: right;
  opacity: 0;
  transform: translateY(20px);
  transition: all 0.4s ease;
}
.module .like-game:hover .tags {
  opacity: 1;
  transform: translateY(0);
}

/* tech */
.module .html {
  grid-column: 1/2;
  grid-row: 3/4;
}
.module .css {
  grid-column: 2/3;
  grid-row: 3/4;
}
.module .js {
  grid-column: 3/4;
  grid-row: 3/4;
}
.module .ps {
  grid-column: 4/5;
  grid-row: 3/4;
}
.module .ai {
  grid-column: 5/6;
  grid-row: 3/4;
}
.module .figma {
  grid-column: 6/7;
  grid-row: 3/4;
}
.module .tech {
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;
}
.module .tech:hover {
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.1);
  transform: none;
}
.module .tech img {
  width: 35%;
}
.module .tech span {
  font-size: 14px;
  color: #eee;
}

/* like-nature */
.module .like-nature {
  grid-column: 1/7;
  grid-row: 4/6;
  padding: 0;
  position: relative;
  background: url(../images/like-nature.png) no-repeat center/cover;
}
.module .like-nature:hover {
  transform: none;
}
.module .like-nature .tags {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 20px;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.8), transparent);
  color: #eee;
  font-size: 15px;
  text-align: right;
  opacity: 0;
  transform: translateY(20px);
  transition: all 0.4s ease;
}
.module .like-nature:hover .tags {
  opacity: 1;
  transform: translateY(0);
}

/* web-app-works */
.module .web-app-works {
  grid-column: 7/11;
  grid-row: 3/6;
}
.webAppSwiper {
  margin-top: 100px;
  width: 88%;
}

.webAppSwiper .swiper-slide {
  border-radius: 15px;
  overflow: hidden;
}

.webAppSwiper .swiper-slide img {
  width: 100%;
  object-fit: cover;
  filter: blur(1.2px) grayscale(100%) brightness(0.6);
}

.webAppSwiper .swiper-slide-active img {
  filter: blur(0px) grayscale(0%) brightness(1);
}

/* design-works */
.module .design-works {
  grid-column: 11/13;
  grid-row: 3/6;
  background-image: url(../images/design-works.png);
  background-repeat: no-repeat;
  background-position: 0px 100px;
  background-size: 120%;
}

/* --- like 사진들에 filter 처리 --- */
.module .like-dog::before,
.module .like-game::before,
.module .like-nature::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(85, 88, 92, 0.137); 
    transition: background-color 0.5s ease;
    border-radius: 20px; 
}

.module .card:hover::before {
    background-color: rgba(0, 0, 0, 0);
}

/* --- 메뉴들에 효과 --- */
.module .about::after,
.module .web-app-works::after,
.module .design-works::after {
  content: '';
  position: absolute;
  top: 0; left: -100%;
  width: 50%; height: 100%;
  background: linear-gradient(
    to right,
    transparent,
    rgba(255, 255, 255, 0.1),
    transparent
  );
  transform: skewX(-25deg);
  transition: 0.5s;
}

.module .card:hover::after {
  left: 150%;
  transition: 0.3s;
}